QGIS Application - Bug report #8390
Error in Eliminate Sliver Polygons
2013-07-31 04:17 PM - Nyall Dawson

Status: Closed

Priority: Severe/Regression

Assignee:

Category:

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 17163
Description

Running the Eliminate Sliver Polygons tool results in the following error:

An error has occured while executing Python code:

Traceback (most recent call last):
File "C:\\OSGeo4W\\apps\\qgis-dev\\python\\plugins\\fTools\\tools\\doEliminate.py", line 91, in accept
self.eliminate(inLayer, boundary, self.progressBar, outFileName)
File "C:\OSGeo4W\\apps\\qgis-dev\\python\\plugins\\fTools\\tools\\doEliminate.py", line 231, in eliminate
self.tr("Could not eliminate features with these ids:\
%S") %s (fidList))
NameError: global name 's' is not defined

Python version:
2.7.4 (default, Apr 6 2013, 19:54:46) [MSC v.1500 32 bit (Intel)]

QGIS version:
1.9.0-Master Master, a13cdf8

Python path: ['C:/OSGeo4W/apps/qgis-dev/./python/plugins\\\\sextante', 'C:/OSGeo4W/apps/qgis-dev/./python’,

'C:\WUsers\\Wgau.GAUNET/.qgis2/python’, 'C:\WUsers\\\gau.GAUNET/.qgis2/python/plugins’,
'C:/0OSGeod4W/apps/qgis-dev/./python/plugins', 'C:\\\NOSGeo4W\\apps\\\\orfeotoolbox\\\\python', "C:\\W',

'C:\WOSGeo4W\\Wbin\Wpython27.zip', 'C:\WOSGeodW\\\apps\\Python27\\\DLLs', 'C\\WOSGeo4W\\\\apps\\\\Python27\\\llib',
'C:\WOSGeodW\\apps\\WPython27\\\ib\\\plat-win', 'C:\WOSGeod W\\\apps\\\Python27\\\lib\Wlib-tk', 'C:\OSGeo4W\bin',

'CA\WOSGeo4W\\Wapps\\WPython27', 'C:\\WOSGeo4W\\\apps\\\\Python27\\\lib\\\\site-packages',

'C:\WOSGeo4W\\\apps\\\Python27\\\lib\\\site-packages\\WPIL', 'C:\\WOSGeo4W\\apps\\\\Python27\\\lib\\\\site-packages\\\\win32',

'C:\WOSGeo4W\\\apps\\\Python27\\\lib\\\site-packages\\win32\\\\lib',
'C:\W\OSGeo4W\\\apps\\Python27\\\lib\\\site-packages\\\\Pythonwin',
'C:A\WNOSGeo4W\\\apps\\Python27\\\lib\\\site-packages\\\\wx-2.8-msw-unicode',
'C:\W\OSGeo4W\\\apps\\\ggis-dev\\\\python\\\plugins\\fTools\\\\tools']

Associated revisions

Revision a05324cd - 2013-08-02 07:27 PM - Salvatore Larosa

[ftools][fix #8390] fix typo

History

#1 - 2013-08-02 10:28 AM - Salvatore Larosa
- Status changed from Open to Closed

Fixed in changeset commit:"a05324cd9cc04b72e2b7be51b2be1f78e3bd673d".
